manifest cleaning
diff --git a/services/org.eclipse.sensinact.studio.http.messages/META-INF/MANIFEST.MF b/services/org.eclipse.sensinact.studio.http.messages/META-INF/MANIFEST.MF
index 7a51051..34b3427 100644
--- a/services/org.eclipse.sensinact.studio.http.messages/META-INF/MANIFEST.MF
+++ b/services/org.eclipse.sensinact.studio.http.messages/META-INF/MANIFEST.MF
@@ -11,7 +11,6 @@
  org.apache.log4j,
  org.eclipse.sensinact.studio.preferences,
  com.fasterxml.jackson.core.jackson-databind,
- org.restlet.ext.jackson,
  com.fasterxml.jackson.core.jackson-core,
  org.eclipse.jetty.websocket.common
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
diff --git a/services/org.eclipse.sensinact.studio.http.services/META-INF/MANIFEST.MF b/services/org.eclipse.sensinact.studio.http.services/META-INF/MANIFEST.MF
index 8ca2bf3..cf4da11 100644
--- a/services/org.eclipse.sensinact.studio.http.services/META-INF/MANIFEST.MF
+++ b/services/org.eclipse.sensinact.studio.http.services/META-INF/MANIFEST.MF
@@ -10,10 +10,10 @@
  org.eclipse.sensinact.studio.model.resource,
  org.apache.log4j,
  org.eclipse.sensinact.studio.preferences,
- com.fasterxml.jackson.core.jackson-databind,
- org.restlet.ext.jackson,
- com.fasterxml.jackson.core.jackson-core,
  org.eclipse.jetty.websocket.common,
+ org.eclipse.jetty.websocket.api,
+ org.eclipse.jetty.websocket.client,
+ org.eclipse.jetty.util,
  org.eclipse.sensinact.studio.http.messages
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-ActivationPolicy: lazy
@@ -24,4 +24,3 @@
  org.eclipse.sensinact.studio.http.services.client.websockets,
  org.eclipse.sensinact.studio.http.services.server,
  org.eclipse.sensinact.studio.http.services.server.serverstarted
-Import-Package: org.apache.log4j,org.eclipse.jetty.websocket.client,org.eclipse.jetty.websocket.api.annotations,org.eclipse.jetty.websocket.api,org.eclipse.jetty.util.component
diff --git a/services/org.eclipse.sensinact.studio.model.manager/META-INF/MANIFEST.MF b/services/org.eclipse.sensinact.studio.model.manager/META-INF/MANIFEST.MF
index 110ea7e..6155857 100644
--- a/services/org.eclipse.sensinact.studio.model.manager/META-INF/MANIFEST.MF
+++ b/services/org.eclipse.sensinact.studio.model.manager/META-INF/MANIFEST.MF
@@ -11,10 +11,10 @@
  org.apache.log4j,
  org.eclipse.sensinact.studio.preferences,
  org.eclipse.sensinact.studio.http.services,
+ org.apache.log4j,
  org.eclipse.sensinact.studio.http.messages
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-ActivationPolicy: lazy
 Export-Package: org.eclipse.sensinact.studio.model.manager.listener.devicelocation,
  org.eclipse.sensinact.studio.model.manager.listener.modelset,
  org.eclipse.sensinact.studio.model.manager.modelupdater
-Import-Package: org.apache.log4j
diff --git a/services/org.eclipse.sensinact.studio.preferences/META-INF/MANIFEST.MF b/services/org.eclipse.sensinact.studio.preferences/META-INF/MANIFEST.MF
index 1be6a63..6455b70 100644
--- a/services/org.eclipse.sensinact.studio.preferences/META-INF/MANIFEST.MF
+++ b/services/org.eclipse.sensinact.studio.preferences/META-INF/MANIFEST.MF
@@ -4,8 +4,8 @@
 Bundle-SymbolicName: org.eclipse.sensinact.studio.preferences
 Bundle-Version: 1.0.0.qualifier
 Bundle-Activator: org.eclipse.sensinact.studio.preferences.Activator
-Require-Bundle: org.eclipse.core.runtime
+Require-Bundle: org.eclipse.core.runtime,
+ org.apache.log4j
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-ActivationPolicy: lazy
-Import-Package: org.apache.log4j
 Export-Package: org.eclipse.sensinact.studio.preferences
diff --git a/ui/org.eclipse.sensinact.studio.view.outdoor/META-INF/MANIFEST.MF b/ui/org.eclipse.sensinact.studio.view.outdoor/META-INF/MANIFEST.MF
index a9f77e7..325c5e3 100644
--- a/ui/org.eclipse.sensinact.studio.view.outdoor/META-INF/MANIFEST.MF
+++ b/ui/org.eclipse.sensinact.studio.view.outdoor/META-INF/MANIFEST.MF
@@ -15,6 +15,6 @@
  org.eclipse.sensinact.studio.http.services,
  org.eclipse.sensinact.studio.model.manager,
  org.apache.log4j,
- org.eclipse.sensinact.studio.preferences
+ org.eclipse.sensinact.studio.preferences,
+ javax.annotation
 Export-Package: org.eclipse.sensinact.studio.view.outdoor
-Import-Package: org.apache.log4j
diff --git a/ui/org.eclipse.sensinact.studio.view.projectexplorer/META-INF/MANIFEST.MF b/ui/org.eclipse.sensinact.studio.view.projectexplorer/META-INF/MANIFEST.MF
index d8aaf1a..cbb7ce9 100644
--- a/ui/org.eclipse.sensinact.studio.view.projectexplorer/META-INF/MANIFEST.MF
+++ b/ui/org.eclipse.sensinact.studio.view.projectexplorer/META-INF/MANIFEST.MF
@@ -17,4 +17,3 @@
  org.eclipse.sensinact.studio.ui.common
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-ActivationPolicy: lazy
-Import-Package: org.apache.log4j
diff --git a/ui/org.eclipse.sensinact.studio.view.visualizer/META-INF/MANIFEST.MF b/ui/org.eclipse.sensinact.studio.view.visualizer/META-INF/MANIFEST.MF
index d26f19a..a006616 100644
--- a/ui/org.eclipse.sensinact.studio.view.visualizer/META-INF/MANIFEST.MF
+++ b/ui/org.eclipse.sensinact.studio.view.visualizer/META-INF/MANIFEST.MF
@@ -15,8 +15,8 @@
  org.eclipse.sensinact.studio.http.messages,
  org.eclipse.sensinact.studio.http.services,
  org.apache.log4j,
- org.eclipse.sensinact.studio.preferences;bundle-version="1.0.0"
+ org.eclipse.sensinact.studio.preferences,
+ javax.annotation
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-ActivationPolicy: lazy
 Export-Package: org.eclipse.sensinact.studio.view.visualizer
-Import-Package: org.apache.log4j
diff --git a/webapp/org.eclipse.sensinact.studio.webapp.indoor/META-INF/MANIFEST.MF b/webapp/org.eclipse.sensinact.studio.webapp.indoor/META-INF/MANIFEST.MF
index 17bd674..5ca8cb5 100644
--- a/webapp/org.eclipse.sensinact.studio.webapp.indoor/META-INF/MANIFEST.MF
+++ b/webapp/org.eclipse.sensinact.studio.webapp.indoor/META-INF/MANIFEST.MF
@@ -14,4 +14,3 @@
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-ActivationPolicy: lazy
 Export-Package: org.eclipse.sensinact.studio.webapp.indoor
-Import-Package: org.apache.log4j
diff --git a/webapp/org.eclipse.sensinact.studio.webapp.outdoor/META-INF/MANIFEST.MF b/webapp/org.eclipse.sensinact.studio.webapp.outdoor/META-INF/MANIFEST.MF
index f13205e..706b6a0 100644
--- a/webapp/org.eclipse.sensinact.studio.webapp.outdoor/META-INF/MANIFEST.MF
+++ b/webapp/org.eclipse.sensinact.studio.webapp.outdoor/META-INF/MANIFEST.MF
@@ -13,4 +13,3 @@
  org.apache.log4j
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Export-Package: org.eclipse.sensinact.studio.webapp.outdoor
-Import-Package: org.apache.log4j
diff --git a/xtext/org.eclipse.sensinact.studio.language.sensinact.ide/META-INF/MANIFEST.MF b/xtext/org.eclipse.sensinact.studio.language.sensinact.ide/META-INF/MANIFEST.MF
index 584b538..7821479 100644
--- a/xtext/org.eclipse.sensinact.studio.language.sensinact.ide/META-INF/MANIFEST.MF
+++ b/xtext/org.eclipse.sensinact.studio.language.sensinact.ide/META-INF/MANIFEST.MF
@@ -8,7 +8,7 @@
 Require-Bundle: org.eclipse.sensinact.studio.language.sensinact,
  org.eclipse.xtext.ide,
  org.eclipse.xtext.xbase.ide,
- org.antlr.runtime;bundle-version="[3.2.0,3.2.1)"
+ org.antlr.runtime
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Export-Package: org.eclipse.sensinact.studio.language.ide.contentassist.antlr,
  org.eclipse.sensinact.studio.language.ide.contentassist.antlr.internal
diff --git a/xtext/org.eclipse.sensinact.studio.language.sensinact.ui/META-INF/MANIFEST.MF b/xtext/org.eclipse.sensinact.studio.language.sensinact.ui/META-INF/MANIFEST.MF
index 3365da1..22c0216 100644
--- a/xtext/org.eclipse.sensinact.studio.language.sensinact.ui/META-INF/MANIFEST.MF
+++ b/xtext/org.eclipse.sensinact.studio.language.sensinact.ui/META-INF/MANIFEST.MF
@@ -15,10 +15,10 @@
  org.eclipse.ui,
  org.eclipse.compare,
  org.eclipse.xtext.builder,
- org.eclipse.xtend.lib;bundle-version="2.14.0";resolution:=optional,
- org.eclipse.xtext.xbase.lib;bundle-version="2.14.0",
+ org.eclipse.xtend.lib,
+ org.eclipse.xtext.xbase.lib,
+ org.apache.log4j,
  org.eclipse.sensinact.studio.model.manager
-Import-Package: org.apache.log4j
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Export-Package: org.eclipse.sensinact.studio.language.ui.quickfix,
  org.eclipse.sensinact.studio.language.sensinact.ui.internal,
diff --git a/xtext/org.eclipse.sensinact.studio.language.sensinact/META-INF/MANIFEST.MF b/xtext/org.eclipse.sensinact.studio.language.sensinact/META-INF/MANIFEST.MF
index 64f6982..bcd3327 100644
--- a/xtext/org.eclipse.sensinact.studio.language.sensinact/META-INF/MANIFEST.MF
+++ b/xtext/org.eclipse.sensinact.studio.language.sensinact/META-INF/MANIFEST.MF
@@ -7,15 +7,16 @@
 Bundle-ActivationPolicy: lazy
 Require-Bundle: org.eclipse.xtext,
  org.eclipse.xtext.xbase,
- org.eclipse.equinox.common;bundle-version="3.5.0",
+ org.eclipse.equinox.common,
  org.eclipse.emf.ecore,
- org.eclipse.xtext.xbase.lib;bundle-version="2.14.0",
- org.antlr.runtime;bundle-version="[3.2.0,3.2.1)",
+ org.eclipse.xtext.xbase.lib,
+ org.antlr.runtime,
  org.eclipse.xtext.util,
- org.eclipse.xtend.lib;bundle-version="2.14.0",
+ org.eclipse.xtend.lib,
  org.eclipse.emf.common,
- org.eclipse.sensinact.studio.model.manager;bundle-version="1.0.0",
- org.eclipse.sensinact.studio.model.resource;bundle-version="1.0.0"
+ org.eclipse.sensinact.studio.model.manager,
+ org.apache.log4j,
+ org.eclipse.sensinact.studio.model.resource
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Export-Package: org.eclipse.sensinact.studio.language.validation,
  org.eclipse.sensinact.studio.language.sensinact.impl,
@@ -28,4 +29,3 @@
  org.eclipse.sensinact.studio.language.sensinact,
  org.eclipse.sensinact.studio.language.serializer,
  org.eclipse.sensinact.studio.language.generator
-Import-Package: org.apache.log4j